 #-------------------------------------------------------------------------
 # MPLAB XC Compiler -  PIC32MX170F256B processor definition module
 # 
 # Copyright (c) 2018, Microchip Technology Inc. and its subsidiaries ("Microchip")
 # All rights reserved.
 # 
 # This software is developed by Microchip Technology Inc. and its
 # subsidiaries ("Microchip").
 # 
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are 
 # met:
 # 
 # 1.      Redistributions of source code must retain the above copyright
 #         notice, this list of conditions and the following disclaimer.
 # 2.      Redistributions in binary form must reproduce the above 
 #         copyright notice, this list of conditions and the following 
 #         disclaimer in the documentation and/or other materials provided 
 #         with the distribution.
 # 3.      Microchip's name may not be used to endorse or promote products
 #         derived from this software without specific prior written 
 #         permission.
 # 
 # THIS SOFTWARE IS PROVIDED BY MICROCHIP "AS IS" AND ANY EXPRESS OR IMPLIED
 # WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 # MERCHANTABILITY AND FITNESS FOR PURPOSE ARE DISCLAIMED. IN NO EVENT 
 # SHALL MICROCHIP BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 # EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING BUT NOT LIMITED TO
 # PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA OR PROFITS;
 # OR BUSINESS INTERRUPTION) HOWSOEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 # WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
 # OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 # ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 # 
 #

 #-------------------------------------------------------------------------

WDTCON = 0xBF800000
  .global WDTCON
WDTCONCLR = 0xBF800004
  .global WDTCONCLR
WDTCONSET = 0xBF800008
  .global WDTCONSET
WDTCONINV = 0xBF80000C
  .global WDTCONINV
RTCCON = 0xBF800200
  .global RTCCON
RTCCONCLR = 0xBF800204
  .global RTCCONCLR
RTCCONSET = 0xBF800208
  .global RTCCONSET
RTCCONINV = 0xBF80020C
  .global RTCCONINV
RTCALRM = 0xBF800210
  .global RTCALRM
RTCALRMCLR = 0xBF800214
  .global RTCALRMCLR
RTCALRMSET = 0xBF800218
  .global RTCALRMSET
RTCALRMINV = 0xBF80021C
  .global RTCALRMINV
RTCTIME = 0xBF800220
  .global RTCTIME
RTCTIMECLR = 0xBF800224
  .global RTCTIMECLR
RTCTIMESET = 0xBF800228
  .global RTCTIMESET
RTCTIMEINV = 0xBF80022C
  .global RTCTIMEINV
RTCDATE = 0xBF800230
  .global RTCDATE
RTCDATECLR = 0xBF800234
  .global RTCDATECLR
RTCDATESET = 0xBF800238
  .global RTCDATESET
RTCDATEINV = 0xBF80023C
  .global RTCDATEINV
ALRMTIME = 0xBF800240
  .global ALRMTIME
ALRMTIMECLR = 0xBF800244
  .global ALRMTIMECLR
ALRMTIMESET = 0xBF800248
  .global ALRMTIMESET
ALRMTIMEINV = 0xBF80024C
  .global ALRMTIMEINV
ALRMDATE = 0xBF800250
  .global ALRMDATE
ALRMDATECLR = 0xBF800254
  .global ALRMDATECLR
ALRMDATESET = 0xBF800258
  .global ALRMDATESET
ALRMDATEINV = 0xBF80025C
  .global ALRMDATEINV
T1CON = 0xBF800600
  .global T1CON
T1CONCLR = 0xBF800604
  .global T1CONCLR
T1CONSET = 0xBF800608
  .global T1CONSET
T1CONINV = 0xBF80060C
  .global T1CONINV
TMR1 = 0xBF800610
  .global TMR1
TMR1CLR = 0xBF800614
  .global TMR1CLR
TMR1SET = 0xBF800618
  .global TMR1SET
TMR1INV = 0xBF80061C
  .global TMR1INV
PR1 = 0xBF800620
  .global PR1
PR1CLR = 0xBF800624
  .global PR1CLR
PR1SET = 0xBF800628
  .global PR1SET
PR1INV = 0xBF80062C
  .global PR1INV
T2CON = 0xBF800800
  .global T2CON
T2CONCLR = 0xBF800804
  .global T2CONCLR
T2CONSET = 0xBF800808
  .global T2CONSET
T2CONINV = 0xBF80080C
  .global T2CONINV
TMR2 = 0xBF800810
  .global TMR2
TMR2CLR = 0xBF800814
  .global TMR2CLR
TMR2SET = 0xBF800818
  .global TMR2SET
TMR2INV = 0xBF80081C
  .global TMR2INV
PR2 = 0xBF800820
  .global PR2
PR2CLR = 0xBF800824
  .global PR2CLR
PR2SET = 0xBF800828
  .global PR2SET
PR2INV = 0xBF80082C
  .global PR2INV
T3CON = 0xBF800A00
  .global T3CON
T3CONCLR = 0xBF800A04
  .global T3CONCLR
T3CONSET = 0xBF800A08
  .global T3CONSET
T3CONINV = 0xBF800A0C
  .global T3CONINV
TMR3 = 0xBF800A10
  .global TMR3
TMR3CLR = 0xBF800A14
  .global TMR3CLR
TMR3SET = 0xBF800A18
  .global TMR3SET
TMR3INV = 0xBF800A1C
  .global TMR3INV
PR3 = 0xBF800A20
  .global PR3
PR3CLR = 0xBF800A24
  .global PR3CLR
PR3SET = 0xBF800A28
  .global PR3SET
PR3INV = 0xBF800A2C
  .global PR3INV
T4CON = 0xBF800C00
  .global T4CON
T4CONCLR = 0xBF800C04
  .global T4CONCLR
T4CONSET = 0xBF800C08
  .global T4CONSET
T4CONINV = 0xBF800C0C
  .global T4CONINV
TMR4 = 0xBF800C10
  .global TMR4
TMR4CLR = 0xBF800C14
  .global TMR4CLR
TMR4SET = 0xBF800C18
  .global TMR4SET
TMR4INV = 0xBF800C1C
  .global TMR4INV
PR4 = 0xBF800C20
  .global PR4
PR4CLR = 0xBF800C24
  .global PR4CLR
PR4SET = 0xBF800C28
  .global PR4SET
PR4INV = 0xBF800C2C
  .global PR4INV
T5CON = 0xBF800E00
  .global T5CON
T5CONCLR = 0xBF800E04
  .global T5CONCLR
T5CONSET = 0xBF800E08
  .global T5CONSET
T5CONINV = 0xBF800E0C
  .global T5CONINV
TMR5 = 0xBF800E10
  .global TMR5
TMR5CLR = 0xBF800E14
  .global TMR5CLR
TMR5SET = 0xBF800E18
  .global TMR5SET
TMR5INV = 0xBF800E1C
  .global TMR5INV
PR5 = 0xBF800E20
  .global PR5
PR5CLR = 0xBF800E24
  .global PR5CLR
PR5SET = 0xBF800E28
  .global PR5SET
PR5INV = 0xBF800E2C
  .global PR5INV
IC1CON = 0xBF802000
  .global IC1CON
IC1CONCLR = 0xBF802004
  .global IC1CONCLR
IC1CONSET = 0xBF802008
  .global IC1CONSET
IC1CONINV = 0xBF80200C
  .global IC1CONINV
IC1BUF = 0xBF802010
  .global IC1BUF
IC2CON = 0xBF802200
  .global IC2CON
IC2CONCLR = 0xBF802204
  .global IC2CONCLR
IC2CONSET = 0xBF802208
  .global IC2CONSET
IC2CONINV = 0xBF80220C
  .global IC2CONINV
IC2BUF = 0xBF802210
  .global IC2BUF
IC3CON = 0xBF802400
  .global IC3CON
IC3CONCLR = 0xBF802404
  .global IC3CONCLR
IC3CONSET = 0xBF802408
  .global IC3CONSET
IC3CONINV = 0xBF80240C
  .global IC3CONINV
IC3BUF = 0xBF802410
  .global IC3BUF
IC4CON = 0xBF802600
  .global IC4CON
IC4CONCLR = 0xBF802604
  .global IC4CONCLR
IC4CONSET = 0xBF802608
  .global IC4CONSET
IC4CONINV = 0xBF80260C
  .global IC4CONINV
IC4BUF = 0xBF802610
  .global IC4BUF
IC5CON = 0xBF802800
  .global IC5CON
IC5CONCLR = 0xBF802804
  .global IC5CONCLR
IC5CONSET = 0xBF802808
  .global IC5CONSET
IC5CONINV = 0xBF80280C
  .global IC5CONINV
IC5BUF = 0xBF802810
  .global IC5BUF
OC1CON = 0xBF803000
  .global OC1CON
OC1CONCLR = 0xBF803004
  .global OC1CONCLR
OC1CONSET = 0xBF803008
  .global OC1CONSET
OC1CONINV = 0xBF80300C
  .global OC1CONINV
OC1R = 0xBF803010
  .global OC1R
OC1RCLR = 0xBF803014
  .global OC1RCLR
OC1RSET = 0xBF803018
  .global OC1RSET
OC1RINV = 0xBF80301C
  .global OC1RINV
OC1RS = 0xBF803020
  .global OC1RS
OC1RSCLR = 0xBF803024
  .global OC1RSCLR
OC1RSSET = 0xBF803028
  .global OC1RSSET
OC1RSINV = 0xBF80302C
  .global OC1RSINV
OC2CON = 0xBF803200
  .global OC2CON
OC2CONCLR = 0xBF803204
  .global OC2CONCLR
OC2CONSET = 0xBF803208
  .global OC2CONSET
OC2CONINV = 0xBF80320C
  .global OC2CONINV
OC2R = 0xBF803210
  .global OC2R
OC2RCLR = 0xBF803214
  .global OC2RCLR
OC2RSET = 0xBF803218
  .global OC2RSET
OC2RINV = 0xBF80321C
  .global OC2RINV
OC2RS = 0xBF803220
  .global OC2RS
OC2RSCLR = 0xBF803224
  .global OC2RSCLR
OC2RSSET = 0xBF803228
  .global OC2RSSET
OC2RSINV = 0xBF80322C
  .global OC2RSINV
OC3CON = 0xBF803400
  .global OC3CON
OC3CONCLR = 0xBF803404
  .global OC3CONCLR
OC3CONSET = 0xBF803408
  .global OC3CONSET
OC3CONINV = 0xBF80340C
  .global OC3CONINV
OC3R = 0xBF803410
  .global OC3R
OC3RCLR = 0xBF803414
  .global OC3RCLR
OC3RSET = 0xBF803418
  .global OC3RSET
OC3RINV = 0xBF80341C
  .global OC3RINV
OC3RS = 0xBF803420
  .global OC3RS
OC3RSCLR = 0xBF803424
  .global OC3RSCLR
OC3RSSET = 0xBF803428
  .global OC3RSSET
OC3RSINV = 0xBF80342C
  .global OC3RSINV
OC4CON = 0xBF803600
  .global OC4CON
OC4CONCLR = 0xBF803604
  .global OC4CONCLR
OC4CONSET = 0xBF803608
  .global OC4CONSET
OC4CONINV = 0xBF80360C
  .global OC4CONINV
OC4R = 0xBF803610
  .global OC4R
OC4RCLR = 0xBF803614
  .global OC4RCLR
OC4RSET = 0xBF803618
  .global OC4RSET
OC4RINV = 0xBF80361C
  .global OC4RINV
OC4RS = 0xBF803620
  .global OC4RS
OC4RSCLR = 0xBF803624
  .global OC4RSCLR
OC4RSSET = 0xBF803628
  .global OC4RSSET
OC4RSINV = 0xBF80362C
  .global OC4RSINV
OC5CON = 0xBF803800
  .global OC5CON
OC5CONCLR = 0xBF803804
  .global OC5CONCLR
OC5CONSET = 0xBF803808
  .global OC5CONSET
OC5CONINV = 0xBF80380C
  .global OC5CONINV
OC5R = 0xBF803810
  .global OC5R
OC5RCLR = 0xBF803814
  .global OC5RCLR
OC5RSET = 0xBF803818
  .global OC5RSET
OC5RINV = 0xBF80381C
  .global OC5RINV
OC5RS = 0xBF803820
  .global OC5RS
OC5RSCLR = 0xBF803824
  .global OC5RSCLR
OC5RSSET = 0xBF803828
  .global OC5RSSET
OC5RSINV = 0xBF80382C
  .global OC5RSINV
I2C1CON = 0xBF805000
  .global I2C1CON
I2C1ACON = 0xBF805000
  .global I2C1ACON
I2C1CONCLR = 0xBF805004
  .global I2C1CONCLR
I2C1ACONCLR = 0xBF805004
  .global I2C1ACONCLR
I2C1CONSET = 0xBF805008
  .global I2C1CONSET
I2C1ACONSET = 0xBF805008
  .global I2C1ACONSET
I2C1CONINV = 0xBF80500C
  .global I2C1CONINV
I2C1ACONINV = 0xBF80500C
  .global I2C1ACONINV
I2C1STAT = 0xBF805010
  .global I2C1STAT
I2C1ASTAT = 0xBF805010
  .global I2C1ASTAT
I2C1STATCLR = 0xBF805014
  .global I2C1STATCLR
I2C1ASTATCLR = 0xBF805014
  .global I2C1ASTATCLR
I2C1STATSET = 0xBF805018
  .global I2C1STATSET
I2C1ASTATSET = 0xBF805018
  .global I2C1ASTATSET
I2C1STATINV = 0xBF80501C
  .global I2C1STATINV
I2C1ASTATINV = 0xBF80501C
  .global I2C1ASTATINV
I2C1ADD = 0xBF805020
  .global I2C1ADD
I2C1AADD = 0xBF805020
  .global I2C1AADD
I2C1ADDCLR = 0xBF805024
  .global I2C1ADDCLR
I2C1AADDCLR = 0xBF805024
  .global I2C1AADDCLR
I2C1ADDSET = 0xBF805028
  .global I2C1ADDSET
I2C1AADDSET = 0xBF805028
  .global I2C1AADDSET
I2C1ADDINV = 0xBF80502C
  .global I2C1ADDINV
I2C1AADDINV = 0xBF80502C
  .global I2C1AADDINV
I2C1MSK = 0xBF805030
  .global I2C1MSK
I2C1AMSK = 0xBF805030
  .global I2C1AMSK
I2C1MSKCLR = 0xBF805034
  .global I2C1MSKCLR
I2C1AMSKCLR = 0xBF805034
  .global I2C1AMSKCLR
I2C1MSKSET = 0xBF805038
  .global I2C1MSKSET
I2C1AMSKSET = 0xBF805038
  .global I2C1AMSKSET
I2C1MSKINV = 0xBF80503C
  .global I2C1MSKINV
I2C1AMSKINV = 0xBF80503C
  .global I2C1AMSKINV
I2C1BRG = 0xBF805040
  .global I2C1BRG
I2C1ABRG = 0xBF805040
  .global I2C1ABRG
I2C1BRGCLR = 0xBF805044
  .global I2C1BRGCLR
I2C1ABRGCLR = 0xBF805044
  .global I2C1ABRGCLR
I2C1BRGSET = 0xBF805048
  .global I2C1BRGSET
I2C1ABRGSET = 0xBF805048
  .global I2C1ABRGSET
I2C1BRGINV = 0xBF80504C
  .global I2C1BRGINV
I2C1ABRGINV = 0xBF80504C
  .global I2C1ABRGINV
I2C1TRN = 0xBF805050
  .global I2C1TRN
I2C1ATRN = 0xBF805050
  .global I2C1ATRN
I2C1TRNCLR = 0xBF805054
  .global I2C1TRNCLR
I2C1ATRNCLR = 0xBF805054
  .global I2C1ATRNCLR
I2C1TRNSET = 0xBF805058
  .global I2C1TRNSET
I2C1ATRNSET = 0xBF805058
  .global I2C1ATRNSET
I2C1TRNINV = 0xBF80505C
  .global I2C1TRNINV
I2C1ATRNINV = 0xBF80505C
  .global I2C1ATRNINV
I2C1RCV = 0xBF805060
  .global I2C1RCV
I2C1ARCV = 0xBF805060
  .global I2C1ARCV
I2C2CON = 0xBF805100
  .global I2C2CON
I2C2ACON = 0xBF805100
  .global I2C2ACON
I2C2CONCLR = 0xBF805104
  .global I2C2CONCLR
I2C2ACONCLR = 0xBF805104
  .global I2C2ACONCLR
I2C2CONSET = 0xBF805108
  .global I2C2CONSET
I2C2ACONSET = 0xBF805108
  .global I2C2ACONSET
I2C2CONINV = 0xBF80510C
  .global I2C2CONINV
I2C2ACONINV = 0xBF80510C
  .global I2C2ACONINV
I2C2STAT = 0xBF805110
  .global I2C2STAT
I2C2ASTAT = 0xBF805110
  .global I2C2ASTAT
I2C2STATCLR = 0xBF805114
  .global I2C2STATCLR
I2C2ASTATCLR = 0xBF805114
  .global I2C2ASTATCLR
I2C2STATSET = 0xBF805118
  .global I2C2STATSET
I2C2ASTATSET = 0xBF805118
  .global I2C2ASTATSET
I2C2STATINV = 0xBF80511C
  .global I2C2STATINV
I2C2ASTATINV = 0xBF80511C
  .global I2C2ASTATINV
I2C2ADD = 0xBF805120
  .global I2C2ADD
I2C2AADD = 0xBF805120
  .global I2C2AADD
I2C2ADDCLR = 0xBF805124
  .global I2C2ADDCLR
I2C2AADDCLR = 0xBF805124
  .global I2C2AADDCLR
I2C2ADDSET = 0xBF805128
  .global I2C2ADDSET
I2C2AADDSET = 0xBF805128
  .global I2C2AADDSET
I2C2ADDINV = 0xBF80512C
  .global I2C2ADDINV
I2C2AADDINV = 0xBF80512C
  .global I2C2AADDINV
I2C2MSK = 0xBF805130
  .global I2C2MSK
I2C2AMSK = 0xBF805130
  .global I2C2AMSK
I2C2MSKCLR = 0xBF805134
  .global I2C2MSKCLR
I2C2AMSKCLR = 0xBF805134
  .global I2C2AMSKCLR
I2C2MSKSET = 0xBF805138
  .global I2C2MSKSET
I2C2AMSKSET = 0xBF805138
  .global I2C2AMSKSET
I2C2MSKINV = 0xBF80513C
  .global I2C2MSKINV
I2C2AMSKINV = 0xBF80513C
  .global I2C2AMSKINV
I2C2BRG = 0xBF805140
  .global I2C2BRG
I2C2ABRG = 0xBF805140
  .global I2C2ABRG
I2C2BRGCLR = 0xBF805144
  .global I2C2BRGCLR
I2C2ABRGCLR = 0xBF805144
  .global I2C2ABRGCLR
I2C2BRGSET = 0xBF805148
  .global I2C2BRGSET
I2C2ABRGSET = 0xBF805148
  .global I2C2ABRGSET
I2C2BRGINV = 0xBF80514C
  .global I2C2BRGINV
I2C2ABRGINV = 0xBF80514C
  .global I2C2ABRGINV
I2C2TRN = 0xBF805150
  .global I2C2TRN
I2C2ATRN = 0xBF805150
  .global I2C2ATRN
I2C2TRNCLR = 0xBF805154
  .global I2C2TRNCLR
I2C2ATRNCLR = 0xBF805154
  .global I2C2ATRNCLR
I2C2TRNSET = 0xBF805158
  .global I2C2TRNSET
I2C2ATRNSET = 0xBF805158
  .global I2C2ATRNSET
I2C2TRNINV = 0xBF80515C
  .global I2C2TRNINV
I2C2ATRNINV = 0xBF80515C
  .global I2C2ATRNINV
I2C2RCV = 0xBF805160
  .global I2C2RCV
I2C2ARCV = 0xBF805160
  .global I2C2ARCV
SPI1CON = 0xBF805800
  .global SPI1CON
SPI1CONCLR = 0xBF805804
  .global SPI1CONCLR
SPI1CONSET = 0xBF805808
  .global SPI1CONSET
SPI1CONINV = 0xBF80580C
  .global SPI1CONINV
SPI1STAT = 0xBF805810
  .global SPI1STAT
SPI1STATCLR = 0xBF805814
  .global SPI1STATCLR
SPI1STATSET = 0xBF805818
  .global SPI1STATSET
SPI1STATINV = 0xBF80581C
  .global SPI1STATINV
SPI1BUF = 0xBF805820
  .global SPI1BUF
SPI1BRG = 0xBF805830
  .global SPI1BRG
SPI1BRGCLR = 0xBF805834
  .global SPI1BRGCLR
SPI1BRGSET = 0xBF805838
  .global SPI1BRGSET
SPI1BRGINV = 0xBF80583C
  .global SPI1BRGINV
SPI1CON2 = 0xBF805840
  .global SPI1CON2
SPI1CON2CLR = 0xBF805844
  .global SPI1CON2CLR
SPI1CON2SET = 0xBF805848
  .global SPI1CON2SET
SPI1CON2INV = 0xBF80584C
  .global SPI1CON2INV
SPI2CON = 0xBF805A00
  .global SPI2CON
SPI2CONCLR = 0xBF805A04
  .global SPI2CONCLR
SPI2CONSET = 0xBF805A08
  .global SPI2CONSET
SPI2CONINV = 0xBF805A0C
  .global SPI2CONINV
SPI2STAT = 0xBF805A10
  .global SPI2STAT
SPI2STATCLR = 0xBF805A14
  .global SPI2STATCLR
SPI2STATSET = 0xBF805A18
  .global SPI2STATSET
SPI2STATINV = 0xBF805A1C
  .global SPI2STATINV
SPI2BUF = 0xBF805A20
  .global SPI2BUF
SPI2BRG = 0xBF805A30
  .global SPI2BRG
SPI2BRGCLR = 0xBF805A34
  .global SPI2BRGCLR
SPI2BRGSET = 0xBF805A38
  .global SPI2BRGSET
SPI2BRGINV = 0xBF805A3C
  .global SPI2BRGINV
SPI2CON2 = 0xBF805A40
  .global SPI2CON2
SPI2CON2CLR = 0xBF805A44
  .global SPI2CON2CLR
SPI2CON2SET = 0xBF805A48
  .global SPI2CON2SET
SPI2CON2INV = 0xBF805A4C
  .global SPI2CON2INV
U1MODE = 0xBF806000
  .global U1MODE
U1AMODE = 0xBF806000
  .global U1AMODE
U1MODECLR = 0xBF806004
  .global U1MODECLR
U1AMODECLR = 0xBF806004
  .global U1AMODECLR
U1MODESET = 0xBF806008
  .global U1MODESET
U1AMODESET = 0xBF806008
  .global U1AMODESET
U1MODEINV = 0xBF80600C
  .global U1MODEINV
U1AMODEINV = 0xBF80600C
  .global U1AMODEINV
U1STA = 0xBF806010
  .global U1STA
U1ASTA = 0xBF806010
  .global U1ASTA
U1STACLR = 0xBF806014
  .global U1STACLR
U1ASTACLR = 0xBF806014
  .global U1ASTACLR
U1STASET = 0xBF806018
  .global U1STASET
U1ASTASET = 0xBF806018
  .global U1ASTASET
U1STAINV = 0xBF80601C
  .global U1STAINV
U1ASTAINV = 0xBF80601C
  .global U1ASTAINV
U1TXREG = 0xBF806020
  .global U1TXREG
U1ATXREG = 0xBF806020
  .global U1ATXREG
U1RXREG = 0xBF806030
  .global U1RXREG
U1ARXREG = 0xBF806030
  .global U1ARXREG
U1BRG = 0xBF806040
  .global U1BRG
U1ABRG = 0xBF806040
  .global U1ABRG
U1BRGCLR = 0xBF806044
  .global U1BRGCLR
U1ABRGCLR = 0xBF806044
  .global U1ABRGCLR
U1BRGSET = 0xBF806048
  .global U1BRGSET
U1ABRGSET = 0xBF806048
  .global U1ABRGSET
U1BRGINV = 0xBF80604C
  .global U1BRGINV
U1ABRGINV = 0xBF80604C
  .global U1ABRGINV
U2MODE = 0xBF806200
  .global U2MODE
U3AMODE = 0xBF806200
  .global U3AMODE
U2MODECLR = 0xBF806204
  .global U2MODECLR
U3AMODECLR = 0xBF806204
  .global U3AMODECLR
U2MODESET = 0xBF806208
  .global U2MODESET
U3AMODESET = 0xBF806208
  .global U3AMODESET
U2MODEINV = 0xBF80620C
  .global U2MODEINV
U3AMODEINV = 0xBF80620C
  .global U3AMODEINV
U2STA = 0xBF806210
  .global U2STA
U3ASTA = 0xBF806210
  .global U3ASTA
U2STACLR = 0xBF806214
  .global U2STACLR
U3ASTACLR = 0xBF806214
  .global U3ASTACLR
U2STASET = 0xBF806218
  .global U2STASET
U3ASTASET = 0xBF806218
  .global U3ASTASET
U2STAINV = 0xBF80621C
  .global U2STAINV
U3ASTAINV = 0xBF80621C
  .global U3ASTAINV
U2TXREG = 0xBF806220
  .global U2TXREG
U3ATXREG = 0xBF806220
  .global U3ATXREG
U2RXREG = 0xBF806230
  .global U2RXREG
U3ARXREG = 0xBF806230
  .global U3ARXREG
U2BRG = 0xBF806240
  .global U2BRG
U3ABRG = 0xBF806240
  .global U3ABRG
U2BRGCLR = 0xBF806244
  .global U2BRGCLR
U3ABRGCLR = 0xBF806244
  .global U3ABRGCLR
U2BRGSET = 0xBF806248
  .global U2BRGSET
U3ABRGSET = 0xBF806248
  .global U3ABRGSET
U2BRGINV = 0xBF80624C
  .global U2BRGINV
U3ABRGINV = 0xBF80624C
  .global U3ABRGINV
PMCON = 0xBF807000
  .global PMCON
PMCONCLR = 0xBF807004
  .global PMCONCLR
PMCONSET = 0xBF807008
  .global PMCONSET
PMCONINV = 0xBF80700C
  .global PMCONINV
PMMODE = 0xBF807010
  .global PMMODE
PMMODECLR = 0xBF807014
  .global PMMODECLR
PMMODESET = 0xBF807018
  .global PMMODESET
PMMODEINV = 0xBF80701C
  .global PMMODEINV
PMADDR = 0xBF807020
  .global PMADDR
PMADDRCLR = 0xBF807024
  .global PMADDRCLR
PMADDRSET = 0xBF807028
  .global PMADDRSET
PMADDRINV = 0xBF80702C
  .global PMADDRINV
PMDOUT = 0xBF807030
  .global PMDOUT
PMDOUTCLR = 0xBF807034
  .global PMDOUTCLR
PMDOUTSET = 0xBF807038
  .global PMDOUTSET
PMDOUTINV = 0xBF80703C
  .global PMDOUTINV
PMDIN = 0xBF807040
  .global PMDIN
PMDINCLR = 0xBF807044
  .global PMDINCLR
PMDINSET = 0xBF807048
  .global PMDINSET
PMDININV = 0xBF80704C
  .global PMDININV
PMAEN = 0xBF807050
  .global PMAEN
PMAENCLR = 0xBF807054
  .global PMAENCLR
PMAENSET = 0xBF807058
  .global PMAENSET
PMAENINV = 0xBF80705C
  .global PMAENINV
PMSTAT = 0xBF807060
  .global PMSTAT
PMSTATCLR = 0xBF807064
  .global PMSTATCLR
PMSTATSET = 0xBF807068
  .global PMSTATSET
PMSTATINV = 0xBF80706C
  .global PMSTATINV
AD1CON1 = 0xBF809000
  .global AD1CON1
AD1CON1CLR = 0xBF809004
  .global AD1CON1CLR
AD1CON1SET = 0xBF809008
  .global AD1CON1SET
AD1CON1INV = 0xBF80900C
  .global AD1CON1INV
AD1CON2 = 0xBF809010
  .global AD1CON2
AD1CON2CLR = 0xBF809014
  .global AD1CON2CLR
AD1CON2SET = 0xBF809018
  .global AD1CON2SET
AD1CON2INV = 0xBF80901C
  .global AD1CON2INV
AD1CON3 = 0xBF809020
  .global AD1CON3
AD1CON3CLR = 0xBF809024
  .global AD1CON3CLR
AD1CON3SET = 0xBF809028
  .global AD1CON3SET
AD1CON3INV = 0xBF80902C
  .global AD1CON3INV
AD1CHS = 0xBF809040
  .global AD1CHS
AD1CHSCLR = 0xBF809044
  .global AD1CHSCLR
AD1CHSSET = 0xBF809048
  .global AD1CHSSET
AD1CHSINV = 0xBF80904C
  .global AD1CHSINV
AD1CSSL = 0xBF809050
  .global AD1CSSL
AD1CSSLCLR = 0xBF809054
  .global AD1CSSLCLR
AD1CSSLSET = 0xBF809058
  .global AD1CSSLSET
AD1CSSLINV = 0xBF80905C
  .global AD1CSSLINV
ADC1BUF0 = 0xBF809070
  .global ADC1BUF0
ADC1BUF1 = 0xBF809080
  .global ADC1BUF1
ADC1BUF2 = 0xBF809090
  .global ADC1BUF2
ADC1BUF3 = 0xBF8090A0
  .global ADC1BUF3
ADC1BUF4 = 0xBF8090B0
  .global ADC1BUF4
ADC1BUF5 = 0xBF8090C0
  .global ADC1BUF5
ADC1BUF6 = 0xBF8090D0
  .global ADC1BUF6
ADC1BUF7 = 0xBF8090E0
  .global ADC1BUF7
ADC1BUF8 = 0xBF8090F0
  .global ADC1BUF8
ADC1BUF9 = 0xBF809100
  .global ADC1BUF9
ADC1BUFA = 0xBF809110
  .global ADC1BUFA
ADC1BUFB = 0xBF809120
  .global ADC1BUFB
ADC1BUFC = 0xBF809130
  .global ADC1BUFC
ADC1BUFD = 0xBF809140
  .global ADC1BUFD
ADC1BUFE = 0xBF809150
  .global ADC1BUFE
ADC1BUFF = 0xBF809160
  .global ADC1BUFF
CVRCON = 0xBF809800
  .global CVRCON
CVRCONCLR = 0xBF809804
  .global CVRCONCLR
CVRCONSET = 0xBF809808
  .global CVRCONSET
CVRCONINV = 0xBF80980C
  .global CVRCONINV
CM1CON = 0xBF80A000
  .global CM1CON
CM1CONCLR = 0xBF80A004
  .global CM1CONCLR
CM1CONSET = 0xBF80A008
  .global CM1CONSET
CM1CONINV = 0xBF80A00C
  .global CM1CONINV
CM2CON = 0xBF80A010
  .global CM2CON
CM2CONCLR = 0xBF80A014
  .global CM2CONCLR
CM2CONSET = 0xBF80A018
  .global CM2CONSET
CM2CONINV = 0xBF80A01C
  .global CM2CONINV
CM3CON = 0xBF80A020
  .global CM3CON
CM3CONCLR = 0xBF80A024
  .global CM3CONCLR
CM3CONSET = 0xBF80A028
  .global CM3CONSET
CM3CONINV = 0xBF80A02C
  .global CM3CONINV
CMSTAT = 0xBF80A060
  .global CMSTAT
CMSTATCLR = 0xBF80A064
  .global CMSTATCLR
CMSTATSET = 0xBF80A068
  .global CMSTATSET
CMSTATINV = 0xBF80A06C
  .global CMSTATINV
CTMUCON = 0xBF80A200
  .global CTMUCON
CTMUCONCLR = 0xBF80A204
  .global CTMUCONCLR
CTMUCONSET = 0xBF80A208
  .global CTMUCONSET
CTMUCONINV = 0xBF80A20C
  .global CTMUCONINV
OSCCON = 0xBF80F000
  .global OSCCON
OSCCONCLR = 0xBF80F004
  .global OSCCONCLR
OSCCONSET = 0xBF80F008
  .global OSCCONSET
OSCCONINV = 0xBF80F00C
  .global OSCCONINV
OSCTUN = 0xBF80F010
  .global OSCTUN
OSCTUNCLR = 0xBF80F014
  .global OSCTUNCLR
OSCTUNSET = 0xBF80F018
  .global OSCTUNSET
OSCTUNINV = 0xBF80F01C
  .global OSCTUNINV
REFOCON = 0xBF80F020
  .global REFOCON
REFOCONCLR = 0xBF80F024
  .global REFOCONCLR
REFOCONSET = 0xBF80F028
  .global REFOCONSET
REFOCONINV = 0xBF80F02C
  .global REFOCONINV
REFOTRIM = 0xBF80F030
  .global REFOTRIM
REFOTRIMCLR = 0xBF80F034
  .global REFOTRIMCLR
REFOTRIMSET = 0xBF80F038
  .global REFOTRIMSET
REFOTRIMINV = 0xBF80F03C
  .global REFOTRIMINV
CFGCON = 0xBF80F200
  .global CFGCON
DDPCON = 0xBF80F200
  .global DDPCON
DEVID = 0xBF80F220
  .global DEVID
SYSKEY = 0xBF80F230
  .global SYSKEY
SYSKEYCLR = 0xBF80F234
  .global SYSKEYCLR
SYSKEYSET = 0xBF80F238
  .global SYSKEYSET
SYSKEYINV = 0xBF80F23C
  .global SYSKEYINV
PMD1 = 0xBF80F240
  .global PMD1
PMD1CLR = 0xBF80F244
  .global PMD1CLR
PMD1SET = 0xBF80F248
  .global PMD1SET
PMD1INV = 0xBF80F24C
  .global PMD1INV
PMD2 = 0xBF80F250
  .global PMD2
PMD2CLR = 0xBF80F254
  .global PMD2CLR
PMD2SET = 0xBF80F258
  .global PMD2SET
PMD2INV = 0xBF80F25C
  .global PMD2INV
PMD3 = 0xBF80F260
  .global PMD3
PMD3CLR = 0xBF80F264
  .global PMD3CLR
PMD3SET = 0xBF80F268
  .global PMD3SET
PMD3INV = 0xBF80F26C
  .global PMD3INV
PMD4 = 0xBF80F270
  .global PMD4
PMD4CLR = 0xBF80F274
  .global PMD4CLR
PMD4SET = 0xBF80F278
  .global PMD4SET
PMD4INV = 0xBF80F27C
  .global PMD4INV
PMD5 = 0xBF80F280
  .global PMD5
PMD5CLR = 0xBF80F284
  .global PMD5CLR
PMD5SET = 0xBF80F288
  .global PMD5SET
PMD5INV = 0xBF80F28C
  .global PMD5INV
PMD6 = 0xBF80F290
  .global PMD6
PMD6CLR = 0xBF80F294
  .global PMD6CLR
PMD6SET = 0xBF80F298
  .global PMD6SET
PMD6INV = 0xBF80F29C
  .global PMD6INV
NVMCON = 0xBF80F400
  .global NVMCON
NVMCONCLR = 0xBF80F404
  .global NVMCONCLR
NVMCONSET = 0xBF80F408
  .global NVMCONSET
NVMCONINV = 0xBF80F40C
  .global NVMCONINV
NVMKEY = 0xBF80F410
  .global NVMKEY
NVMADDR = 0xBF80F420
  .global NVMADDR
NVMADDRCLR = 0xBF80F424
  .global NVMADDRCLR
NVMADDRSET = 0xBF80F428
  .global NVMADDRSET
NVMADDRINV = 0xBF80F42C
  .global NVMADDRINV
NVMDATA = 0xBF80F430
  .global NVMDATA
NVMSRCADDR = 0xBF80F440
  .global NVMSRCADDR
RCON = 0xBF80F600
  .global RCON
RCONCLR = 0xBF80F604
  .global RCONCLR
RCONSET = 0xBF80F608
  .global RCONSET
RCONINV = 0xBF80F60C
  .global RCONINV
RSWRST = 0xBF80F610
  .global RSWRST
RSWRSTCLR = 0xBF80F614
  .global RSWRSTCLR
RSWRSTSET = 0xBF80F618
  .global RSWRSTSET
RSWRSTINV = 0xBF80F61C
  .global RSWRSTINV
INT1R = 0xBF80FA04
  .global INT1R
INT2R = 0xBF80FA08
  .global INT2R
INT3R = 0xBF80FA0C
  .global INT3R
INT4R = 0xBF80FA10
  .global INT4R
T2CKR = 0xBF80FA18
  .global T2CKR
T3CKR = 0xBF80FA1C
  .global T3CKR
T4CKR = 0xBF80FA20
  .global T4CKR
T5CKR = 0xBF80FA24
  .global T5CKR
IC1R = 0xBF80FA28
  .global IC1R
IC2R = 0xBF80FA2C
  .global IC2R
IC3R = 0xBF80FA30
  .global IC3R
IC4R = 0xBF80FA34
  .global IC4R
IC5R = 0xBF80FA38
  .global IC5R
OCFAR = 0xBF80FA48
  .global OCFAR
OCFBR = 0xBF80FA4C
  .global OCFBR
U1RXR = 0xBF80FA50
  .global U1RXR
U1CTSR = 0xBF80FA54
  .global U1CTSR
U2RXR = 0xBF80FA58
  .global U2RXR
U2CTSR = 0xBF80FA5C
  .global U2CTSR
SDI1R = 0xBF80FA84
  .global SDI1R
SS1R = 0xBF80FA88
  .global SS1R
SDI2R = 0xBF80FA90
  .global SDI2R
SS2R = 0xBF80FA94
  .global SS2R
REFCLKIR = 0xBF80FAB8
  .global REFCLKIR
RPA0R = 0xBF80FB00
  .global RPA0R
RPA1R = 0xBF80FB04
  .global RPA1R
RPA2R = 0xBF80FB08
  .global RPA2R
RPA3R = 0xBF80FB0C
  .global RPA3R
RPA4R = 0xBF80FB10
  .global RPA4R
RPA8R = 0xBF80FB20
  .global RPA8R
RPA9R = 0xBF80FB24
  .global RPA9R
RPB0R = 0xBF80FB2C
  .global RPB0R
RPB1R = 0xBF80FB30
  .global RPB1R
RPB2R = 0xBF80FB34
  .global RPB2R
RPB3R = 0xBF80FB38
  .global RPB3R
RPB4R = 0xBF80FB3C
  .global RPB4R
RPB5R = 0xBF80FB40
  .global RPB5R
RPB6R = 0xBF80FB44
  .global RPB6R
RPB7R = 0xBF80FB48
  .global RPB7R
RPB8R = 0xBF80FB4C
  .global RPB8R
RPB9R = 0xBF80FB50
  .global RPB9R
RPB10R = 0xBF80FB54
  .global RPB10R
RPB11R = 0xBF80FB58
  .global RPB11R
RPB12R = 0xBF80FB5C
  .global RPB12R
RPB13R = 0xBF80FB60
  .global RPB13R
RPB14R = 0xBF80FB64
  .global RPB14R
RPB15R = 0xBF80FB68
  .global RPB15R
RPC0R = 0xBF80FB6C
  .global RPC0R
RPC1R = 0xBF80FB70
  .global RPC1R
RPC2R = 0xBF80FB74
  .global RPC2R
RPC3R = 0xBF80FB78
  .global RPC3R
RPC4R = 0xBF80FB7C
  .global RPC4R
RPC5R = 0xBF80FB80
  .global RPC5R
RPC6R = 0xBF80FB84
  .global RPC6R
RPC7R = 0xBF80FB88
  .global RPC7R
RPC8R = 0xBF80FB8C
  .global RPC8R
RPC9R = 0xBF80FB90
  .global RPC9R
INTCON = 0xBF881000
  .global INTCON
INTCONCLR = 0xBF881004
  .global INTCONCLR
INTCONSET = 0xBF881008
  .global INTCONSET
INTCONINV = 0xBF88100C
  .global INTCONINV
INTSTAT = 0xBF881010
  .global INTSTAT
IPTMR = 0xBF881020
  .global IPTMR
IPTMRCLR = 0xBF881024
  .global IPTMRCLR
IPTMRSET = 0xBF881028
  .global IPTMRSET
IPTMRINV = 0xBF88102C
  .global IPTMRINV
IFS0 = 0xBF881030
  .global IFS0
IFS0CLR = 0xBF881034
  .global IFS0CLR
IFS0SET = 0xBF881038
  .global IFS0SET
IFS0INV = 0xBF88103C
  .global IFS0INV
IFS1 = 0xBF881040
  .global IFS1
IFS1CLR = 0xBF881044
  .global IFS1CLR
IFS1SET = 0xBF881048
  .global IFS1SET
IFS1INV = 0xBF88104C
  .global IFS1INV
IEC0 = 0xBF881060
  .global IEC0
IEC0CLR = 0xBF881064
  .global IEC0CLR
IEC0SET = 0xBF881068
  .global IEC0SET
IEC0INV = 0xBF88106C
  .global IEC0INV
IEC1 = 0xBF881070
  .global IEC1
IEC1CLR = 0xBF881074
  .global IEC1CLR
IEC1SET = 0xBF881078
  .global IEC1SET
IEC1INV = 0xBF88107C
  .global IEC1INV
IPC0 = 0xBF881090
  .global IPC0
IPC0CLR = 0xBF881094
  .global IPC0CLR
IPC0SET = 0xBF881098
  .global IPC0SET
IPC0INV = 0xBF88109C
  .global IPC0INV
IPC1 = 0xBF8810A0
  .global IPC1
IPC1CLR = 0xBF8810A4
  .global IPC1CLR
IPC1SET = 0xBF8810A8
  .global IPC1SET
IPC1INV = 0xBF8810AC
  .global IPC1INV
IPC2 = 0xBF8810B0
  .global IPC2
IPC2CLR = 0xBF8810B4
  .global IPC2CLR
IPC2SET = 0xBF8810B8
  .global IPC2SET
IPC2INV = 0xBF8810BC
  .global IPC2INV
IPC3 = 0xBF8810C0
  .global IPC3
IPC3CLR = 0xBF8810C4
  .global IPC3CLR
IPC3SET = 0xBF8810C8
  .global IPC3SET
IPC3INV = 0xBF8810CC
  .global IPC3INV
IPC4 = 0xBF8810D0
  .global IPC4
IPC4CLR = 0xBF8810D4
  .global IPC4CLR
IPC4SET = 0xBF8810D8
  .global IPC4SET
IPC4INV = 0xBF8810DC
  .global IPC4INV
IPC5 = 0xBF8810E0
  .global IPC5
IPC5CLR = 0xBF8810E4
  .global IPC5CLR
IPC5SET = 0xBF8810E8
  .global IPC5SET
IPC5INV = 0xBF8810EC
  .global IPC5INV
IPC6 = 0xBF8810F0
  .global IPC6
IPC6CLR = 0xBF8810F4
  .global IPC6CLR
IPC6SET = 0xBF8810F8
  .global IPC6SET
IPC6INV = 0xBF8810FC
  .global IPC6INV
IPC7 = 0xBF881100
  .global IPC7
IPC7CLR = 0xBF881104
  .global IPC7CLR
IPC7SET = 0xBF881108
  .global IPC7SET
IPC7INV = 0xBF88110C
  .global IPC7INV
IPC8 = 0xBF881110
  .global IPC8
IPC8CLR = 0xBF881114
  .global IPC8CLR
IPC8SET = 0xBF881118
  .global IPC8SET
IPC8INV = 0xBF88111C
  .global IPC8INV
IPC9 = 0xBF881120
  .global IPC9
IPC9CLR = 0xBF881124
  .global IPC9CLR
IPC9SET = 0xBF881128
  .global IPC9SET
IPC9INV = 0xBF88112C
  .global IPC9INV
IPC10 = 0xBF881130
  .global IPC10
IPC10CLR = 0xBF881134
  .global IPC10CLR
IPC10SET = 0xBF881138
  .global IPC10SET
IPC10INV = 0xBF88113C
  .global IPC10INV
BMXCON = 0xBF882000
  .global BMXCON
BMXCONCLR = 0xBF882004
  .global BMXCONCLR
BMXCONSET = 0xBF882008
  .global BMXCONSET
BMXCONINV = 0xBF88200C
  .global BMXCONINV
BMXDKPBA = 0xBF882010
  .global BMXDKPBA
BMXDKPBACLR = 0xBF882014
  .global BMXDKPBACLR
BMXDKPBASET = 0xBF882018
  .global BMXDKPBASET
BMXDKPBAINV = 0xBF88201C
  .global BMXDKPBAINV
BMXDUDBA = 0xBF882020
  .global BMXDUDBA
BMXDUDBACLR = 0xBF882024
  .global BMXDUDBACLR
BMXDUDBASET = 0xBF882028
  .global BMXDUDBASET
BMXDUDBAINV = 0xBF88202C
  .global BMXDUDBAINV
BMXDUPBA = 0xBF882030
  .global BMXDUPBA
BMXDUPBACLR = 0xBF882034
  .global BMXDUPBACLR
BMXDUPBASET = 0xBF882038
  .global BMXDUPBASET
BMXDUPBAINV = 0xBF88203C
  .global BMXDUPBAINV
BMXDRMSZ = 0xBF882040
  .global BMXDRMSZ
BMXPUPBA = 0xBF882050
  .global BMXPUPBA
BMXPUPBACLR = 0xBF882054
  .global BMXPUPBACLR
BMXPUPBASET = 0xBF882058
  .global BMXPUPBASET
BMXPUPBAINV = 0xBF88205C
  .global BMXPUPBAINV
BMXPFMSZ = 0xBF882060
  .global BMXPFMSZ
BMXBOOTSZ = 0xBF882070
  .global BMXBOOTSZ
DMACON = 0xBF883000
  .global DMACON
DMACONCLR = 0xBF883004
  .global DMACONCLR
DMACONSET = 0xBF883008
  .global DMACONSET
DMACONINV = 0xBF88300C
  .global DMACONINV
DMASTAT = 0xBF883010
  .global DMASTAT
DMASTATCLR = 0xBF883014
  .global DMASTATCLR
DMASTATSET = 0xBF883018
  .global DMASTATSET
DMASTATINV = 0xBF88301C
  .global DMASTATINV
DMAADDR = 0xBF883020
  .global DMAADDR
DMAADDRCLR = 0xBF883024
  .global DMAADDRCLR
DMAADDRSET = 0xBF883028
  .global DMAADDRSET
DMAADDRINV = 0xBF88302C
  .global DMAADDRINV
DCRCCON = 0xBF883030
  .global DCRCCON
DCRCCONCLR = 0xBF883034
  .global DCRCCONCLR
DCRCCONSET = 0xBF883038
  .global DCRCCONSET
DCRCCONINV = 0xBF88303C
  .global DCRCCONINV
DCRCDATA = 0xBF883040
  .global DCRCDATA
DCRCDATACLR = 0xBF883044
  .global DCRCDATACLR
DCRCDATASET = 0xBF883048
  .global DCRCDATASET
DCRCDATAINV = 0xBF88304C
  .global DCRCDATAINV
DCRCXOR = 0xBF883050
  .global DCRCXOR
DCRCXORCLR = 0xBF883054
  .global DCRCXORCLR
DCRCXORSET = 0xBF883058
  .global DCRCXORSET
DCRCXORINV = 0xBF88305C
  .global DCRCXORINV
DCH0CON = 0xBF883060
  .global DCH0CON
DCH0CONCLR = 0xBF883064
  .global DCH0CONCLR
DCH0CONSET = 0xBF883068
  .global DCH0CONSET
DCH0CONINV = 0xBF88306C
  .global DCH0CONINV
DCH0ECON = 0xBF883070
  .global DCH0ECON
DCH0ECONCLR = 0xBF883074
  .global DCH0ECONCLR
DCH0ECONSET = 0xBF883078
  .global DCH0ECONSET
DCH0ECONINV = 0xBF88307C
  .global DCH0ECONINV
DCH0INT = 0xBF883080
  .global DCH0INT
DCH0INTCLR = 0xBF883084
  .global DCH0INTCLR
DCH0INTSET = 0xBF883088
  .global DCH0INTSET
DCH0INTINV = 0xBF88308C
  .global DCH0INTINV
DCH0SSA = 0xBF883090
  .global DCH0SSA
DCH0SSACLR = 0xBF883094
  .global DCH0SSACLR
DCH0SSASET = 0xBF883098
  .global DCH0SSASET
DCH0SSAINV = 0xBF88309C
  .global DCH0SSAINV
DCH0DSA = 0xBF8830A0
  .global DCH0DSA
DCH0DSACLR = 0xBF8830A4
  .global DCH0DSACLR
DCH0DSASET = 0xBF8830A8
  .global DCH0DSASET
DCH0DSAINV = 0xBF8830AC
  .global DCH0DSAINV
DCH0SSIZ = 0xBF8830B0
  .global DCH0SSIZ
DCH0SSIZCLR = 0xBF8830B4
  .global DCH0SSIZCLR
DCH0SSIZSET = 0xBF8830B8
  .global DCH0SSIZSET
DCH0SSIZINV = 0xBF8830BC
  .global DCH0SSIZINV
DCH0DSIZ = 0xBF8830C0
  .global DCH0DSIZ
DCH0DSIZCLR = 0xBF8830C4
  .global DCH0DSIZCLR
DCH0DSIZSET = 0xBF8830C8
  .global DCH0DSIZSET
DCH0DSIZINV = 0xBF8830CC
  .global DCH0DSIZINV
DCH0SPTR = 0xBF8830D0
  .global DCH0SPTR
DCH0SPTRCLR = 0xBF8830D4
  .global DCH0SPTRCLR
DCH0SPTRSET = 0xBF8830D8
  .global DCH0SPTRSET
DCH0SPTRINV = 0xBF8830DC
  .global DCH0SPTRINV
DCH0DPTR = 0xBF8830E0
  .global DCH0DPTR
DCH0DPTRCLR = 0xBF8830E4
  .global DCH0DPTRCLR
DCH0DPTRSET = 0xBF8830E8
  .global DCH0DPTRSET
DCH0DPTRINV = 0xBF8830EC
  .global DCH0DPTRINV
DCH0CSIZ = 0xBF8830F0
  .global DCH0CSIZ
DCH0CSIZCLR = 0xBF8830F4
  .global DCH0CSIZCLR
DCH0CSIZSET = 0xBF8830F8
  .global DCH0CSIZSET
DCH0CSIZINV = 0xBF8830FC
  .global DCH0CSIZINV
DCH0CPTR = 0xBF883100
  .global DCH0CPTR
DCH0CPTRCLR = 0xBF883104
  .global DCH0CPTRCLR
DCH0CPTRSET = 0xBF883108
  .global DCH0CPTRSET
DCH0CPTRINV = 0xBF88310C
  .global DCH0CPTRINV
DCH0DAT = 0xBF883110
  .global DCH0DAT
DCH0DATCLR = 0xBF883114
  .global DCH0DATCLR
DCH0DATSET = 0xBF883118
  .global DCH0DATSET
DCH0DATINV = 0xBF88311C
  .global DCH0DATINV
DCH1CON = 0xBF883120
  .global DCH1CON
DCH1CONCLR = 0xBF883124
  .global DCH1CONCLR
DCH1CONSET = 0xBF883128
  .global DCH1CONSET
DCH1CONINV = 0xBF88312C
  .global DCH1CONINV
DCH1ECON = 0xBF883130
  .global DCH1ECON
DCH1ECONCLR = 0xBF883134
  .global DCH1ECONCLR
DCH1ECONSET = 0xBF883138
  .global DCH1ECONSET
DCH1ECONINV = 0xBF88313C
  .global DCH1ECONINV
DCH1INT = 0xBF883140
  .global DCH1INT
DCH1INTCLR = 0xBF883144
  .global DCH1INTCLR
DCH1INTSET = 0xBF883148
  .global DCH1INTSET
DCH1INTINV = 0xBF88314C
  .global DCH1INTINV
DCH1SSA = 0xBF883150
  .global DCH1SSA
DCH1SSACLR = 0xBF883154
  .global DCH1SSACLR
DCH1SSASET = 0xBF883158
  .global DCH1SSASET
DCH1SSAINV = 0xBF88315C
  .global DCH1SSAINV
DCH1DSA = 0xBF883160
  .global DCH1DSA
DCH1DSACLR = 0xBF883164
  .global DCH1DSACLR
DCH1DSASET = 0xBF883168
  .global DCH1DSASET
DCH1DSAINV = 0xBF88316C
  .global DCH1DSAINV
DCH1SSIZ = 0xBF883170
  .global DCH1SSIZ
DCH1SSIZCLR = 0xBF883174
  .global DCH1SSIZCLR
DCH1SSIZSET = 0xBF883178
  .global DCH1SSIZSET
DCH1SSIZINV = 0xBF88317C
  .global DCH1SSIZINV
DCH1DSIZ = 0xBF883180
  .global DCH1DSIZ
DCH1DSIZCLR = 0xBF883184
  .global DCH1DSIZCLR
DCH1DSIZSET = 0xBF883188
  .global DCH1DSIZSET
DCH1DSIZINV = 0xBF88318C
  .global DCH1DSIZINV
DCH1SPTR = 0xBF883190
  .global DCH1SPTR
DCH1SPTRCLR = 0xBF883194
  .global DCH1SPTRCLR
DCH1SPTRSET = 0xBF883198
  .global DCH1SPTRSET
DCH1SPTRINV = 0xBF88319C
  .global DCH1SPTRINV
DCH1DPTR = 0xBF8831A0
  .global DCH1DPTR
DCH1DPTRCLR = 0xBF8831A4
  .global DCH1DPTRCLR
DCH1DPTRSET = 0xBF8831A8
  .global DCH1DPTRSET
DCH1DPTRINV = 0xBF8831AC
  .global DCH1DPTRINV
DCH1CSIZ = 0xBF8831B0
  .global DCH1CSIZ
DCH1CSIZCLR = 0xBF8831B4
  .global DCH1CSIZCLR
DCH1CSIZSET = 0xBF8831B8
  .global DCH1CSIZSET
DCH1CSIZINV = 0xBF8831BC
  .global DCH1CSIZINV
DCH1CPTR = 0xBF8831C0
  .global DCH1CPTR
DCH1CPTRCLR = 0xBF8831C4
  .global DCH1CPTRCLR
DCH1CPTRSET = 0xBF8831C8
  .global DCH1CPTRSET
DCH1CPTRINV = 0xBF8831CC
  .global DCH1CPTRINV
DCH1DAT = 0xBF8831D0
  .global DCH1DAT
DCH1DATCLR = 0xBF8831D4
  .global DCH1DATCLR
DCH1DATSET = 0xBF8831D8
  .global DCH1DATSET
DCH1DATINV = 0xBF8831DC
  .global DCH1DATINV
DCH2CON = 0xBF8831E0
  .global DCH2CON
DCH2CONCLR = 0xBF8831E4
  .global DCH2CONCLR
DCH2CONSET = 0xBF8831E8
  .global DCH2CONSET
DCH2CONINV = 0xBF8831EC
  .global DCH2CONINV
DCH2ECON = 0xBF8831F0
  .global DCH2ECON
DCH2ECONCLR = 0xBF8831F4
  .global DCH2ECONCLR
DCH2ECONSET = 0xBF8831F8
  .global DCH2ECONSET
DCH2ECONINV = 0xBF8831FC
  .global DCH2ECONINV
DCH2INT = 0xBF883200
  .global DCH2INT
DCH2INTCLR = 0xBF883204
  .global DCH2INTCLR
DCH2INTSET = 0xBF883208
  .global DCH2INTSET
DCH2INTINV = 0xBF88320C
  .global DCH2INTINV
DCH2SSA = 0xBF883210
  .global DCH2SSA
DCH2SSACLR = 0xBF883214
  .global DCH2SSACLR
DCH2SSASET = 0xBF883218
  .global DCH2SSASET
DCH2SSAINV = 0xBF88321C
  .global DCH2SSAINV
DCH2DSA = 0xBF883220
  .global DCH2DSA
DCH2DSACLR = 0xBF883224
  .global DCH2DSACLR
DCH2DSASET = 0xBF883228
  .global DCH2DSASET
DCH2DSAINV = 0xBF88322C
  .global DCH2DSAINV
DCH2SSIZ = 0xBF883230
  .global DCH2SSIZ
DCH2SSIZCLR = 0xBF883234
  .global DCH2SSIZCLR
DCH2SSIZSET = 0xBF883238
  .global DCH2SSIZSET
DCH2SSIZINV = 0xBF88323C
  .global DCH2SSIZINV
DCH2DSIZ = 0xBF883240
  .global DCH2DSIZ
DCH2DSIZCLR = 0xBF883244
  .global DCH2DSIZCLR
DCH2DSIZSET = 0xBF883248
  .global DCH2DSIZSET
DCH2DSIZINV = 0xBF88324C
  .global DCH2DSIZINV
DCH2SPTR = 0xBF883250
  .global DCH2SPTR
DCH2SPTRCLR = 0xBF883254
  .global DCH2SPTRCLR
DCH2SPTRSET = 0xBF883258
  .global DCH2SPTRSET
DCH2SPTRINV = 0xBF88325C
  .global DCH2SPTRINV
DCH2DPTR = 0xBF883260
  .global DCH2DPTR
DCH2DPTRCLR = 0xBF883264
  .global DCH2DPTRCLR
DCH2DPTRSET = 0xBF883268
  .global DCH2DPTRSET
DCH2DPTRINV = 0xBF88326C
  .global DCH2DPTRINV
DCH2CSIZ = 0xBF883270
  .global DCH2CSIZ
DCH2CSIZCLR = 0xBF883274
  .global DCH2CSIZCLR
DCH2CSIZSET = 0xBF883278
  .global DCH2CSIZSET
DCH2CSIZINV = 0xBF88327C
  .global DCH2CSIZINV
DCH2CPTR = 0xBF883280
  .global DCH2CPTR
DCH2CPTRCLR = 0xBF883284
  .global DCH2CPTRCLR
DCH2CPTRSET = 0xBF883288
  .global DCH2CPTRSET
DCH2CPTRINV = 0xBF88328C
  .global DCH2CPTRINV
DCH2DAT = 0xBF883290
  .global DCH2DAT
DCH2DATCLR = 0xBF883294
  .global DCH2DATCLR
DCH2DATSET = 0xBF883298
  .global DCH2DATSET
DCH2DATINV = 0xBF88329C
  .global DCH2DATINV
DCH3CON = 0xBF8832A0
  .global DCH3CON
DCH3CONCLR = 0xBF8832A4
  .global DCH3CONCLR
DCH3CONSET = 0xBF8832A8
  .global DCH3CONSET
DCH3CONINV = 0xBF8832AC
  .global DCH3CONINV
DCH3ECON = 0xBF8832B0
  .global DCH3ECON
DCH3ECONCLR = 0xBF8832B4
  .global DCH3ECONCLR
DCH3ECONSET = 0xBF8832B8
  .global DCH3ECONSET
DCH3ECONINV = 0xBF8832BC
  .global DCH3ECONINV
DCH3INT = 0xBF8832C0
  .global DCH3INT
DCH3INTCLR = 0xBF8832C4
  .global DCH3INTCLR
DCH3INTSET = 0xBF8832C8
  .global DCH3INTSET
DCH3INTINV = 0xBF8832CC
  .global DCH3INTINV
DCH3SSA = 0xBF8832D0
  .global DCH3SSA
DCH3SSACLR = 0xBF8832D4
  .global DCH3SSACLR
DCH3SSASET = 0xBF8832D8
  .global DCH3SSASET
DCH3SSAINV = 0xBF8832DC
  .global DCH3SSAINV
DCH3DSA = 0xBF8832E0
  .global DCH3DSA
DCH3DSACLR = 0xBF8832E4
  .global DCH3DSACLR
DCH3DSASET = 0xBF8832E8
  .global DCH3DSASET
DCH3DSAINV = 0xBF8832EC
  .global DCH3DSAINV
DCH3SSIZ = 0xBF8832F0
  .global DCH3SSIZ
DCH3SSIZCLR = 0xBF8832F4
  .global DCH3SSIZCLR
DCH3SSIZSET = 0xBF8832F8
  .global DCH3SSIZSET
DCH3SSIZINV = 0xBF8832FC
  .global DCH3SSIZINV
DCH3DSIZ = 0xBF883300
  .global DCH3DSIZ
DCH3DSIZCLR = 0xBF883304
  .global DCH3DSIZCLR
DCH3DSIZSET = 0xBF883308
  .global DCH3DSIZSET
DCH3DSIZINV = 0xBF88330C
  .global DCH3DSIZINV
DCH3SPTR = 0xBF883310
  .global DCH3SPTR
DCH3SPTRCLR = 0xBF883314
  .global DCH3SPTRCLR
DCH3SPTRSET = 0xBF883318
  .global DCH3SPTRSET
DCH3SPTRINV = 0xBF88331C
  .global DCH3SPTRINV
DCH3DPTR = 0xBF883320
  .global DCH3DPTR
DCH3DPTRCLR = 0xBF883324
  .global DCH3DPTRCLR
DCH3DPTRSET = 0xBF883328
  .global DCH3DPTRSET
DCH3DPTRINV = 0xBF88332C
  .global DCH3DPTRINV
DCH3CSIZ = 0xBF883330
  .global DCH3CSIZ
DCH3CSIZCLR = 0xBF883334
  .global DCH3CSIZCLR
DCH3CSIZSET = 0xBF883338
  .global DCH3CSIZSET
DCH3CSIZINV = 0xBF88333C
  .global DCH3CSIZINV
DCH3CPTR = 0xBF883340
  .global DCH3CPTR
DCH3CPTRCLR = 0xBF883344
  .global DCH3CPTRCLR
DCH3CPTRSET = 0xBF883348
  .global DCH3CPTRSET
DCH3CPTRINV = 0xBF88334C
  .global DCH3CPTRINV
DCH3DAT = 0xBF883350
  .global DCH3DAT
DCH3DATCLR = 0xBF883354
  .global DCH3DATCLR
DCH3DATSET = 0xBF883358
  .global DCH3DATSET
DCH3DATINV = 0xBF88335C
  .global DCH3DATINV
U1OTGIR = 0xBF885040
  .global U1OTGIR
U1OTGIRCLR = 0xBF885044
  .global U1OTGIRCLR
U1OTGIE = 0xBF885050
  .global U1OTGIE
U1OTGIECLR = 0xBF885054
  .global U1OTGIECLR
U1OTGIESET = 0xBF885058
  .global U1OTGIESET
U1OTGIEINV = 0xBF88505C
  .global U1OTGIEINV
U1OTGSTAT = 0xBF885060
  .global U1OTGSTAT
U1OTGCON = 0xBF885070
  .global U1OTGCON
U1OTGCONCLR = 0xBF885074
  .global U1OTGCONCLR
U1OTGCONSET = 0xBF885078
  .global U1OTGCONSET
U1OTGCONINV = 0xBF88507C
  .global U1OTGCONINV
U1PWRC = 0xBF885080
  .global U1PWRC
U1PWRCCLR = 0xBF885084
  .global U1PWRCCLR
U1PWRCSET = 0xBF885088
  .global U1PWRCSET
U1PWRCINV = 0xBF88508C
  .global U1PWRCINV
U1IR = 0xBF885200
  .global U1IR
U1IRCLR = 0xBF885204
  .global U1IRCLR
U1IE = 0xBF885210
  .global U1IE
U1IECLR = 0xBF885214
  .global U1IECLR
U1IESET = 0xBF885218
  .global U1IESET
U1IEINV = 0xBF88521C
  .global U1IEINV
U1EIR = 0xBF885220
  .global U1EIR
U1EIRCLR = 0xBF885224
  .global U1EIRCLR
U1EIE = 0xBF885230
  .global U1EIE
U1EIECLR = 0xBF885234
  .global U1EIECLR
U1EIESET = 0xBF885238
  .global U1EIESET
U1EIEINV = 0xBF88523C
  .global U1EIEINV
U1STAT = 0xBF885240
  .global U1STAT
U1CON = 0xBF885250
  .global U1CON
U1CONCLR = 0xBF885254
  .global U1CONCLR
U1CONSET = 0xBF885258
  .global U1CONSET
U1CONINV = 0xBF88525C
  .global U1CONINV
U1ADDR = 0xBF885260
  .global U1ADDR
U1ADDRCLR = 0xBF885264
  .global U1ADDRCLR
U1ADDRSET = 0xBF885268
  .global U1ADDRSET
U1ADDRINV = 0xBF88526C
  .global U1ADDRINV
U1BDTP1 = 0xBF885270
  .global U1BDTP1
U1BDTP1CLR = 0xBF885274
  .global U1BDTP1CLR
U1BDTP1SET = 0xBF885278
  .global U1BDTP1SET
U1BDTP1INV = 0xBF88527C
  .global U1BDTP1INV
U1FRML = 0xBF885280
  .global U1FRML
U1FRMH = 0xBF885290
  .global U1FRMH
U1TOK = 0xBF8852A0
  .global U1TOK
U1TOKCLR = 0xBF8852A4
  .global U1TOKCLR
U1TOKSET = 0xBF8852A8
  .global U1TOKSET
U1TOKINV = 0xBF8852AC
  .global U1TOKINV
U1SOF = 0xBF8852B0
  .global U1SOF
U1SOFCLR = 0xBF8852B4
  .global U1SOFCLR
U1SOFSET = 0xBF8852B8
  .global U1SOFSET
U1SOFINV = 0xBF8852BC
  .global U1SOFINV
U1BDTP2 = 0xBF8852C0
  .global U1BDTP2
U1BDTP2CLR = 0xBF8852C4
  .global U1BDTP2CLR
U1BDTP2SET = 0xBF8852C8
  .global U1BDTP2SET
U1BDTP2INV = 0xBF8852CC
  .global U1BDTP2INV
U1BDTP3 = 0xBF8852D0
  .global U1BDTP3
U1BDTP3CLR = 0xBF8852D4
  .global U1BDTP3CLR
U1BDTP3SET = 0xBF8852D8
  .global U1BDTP3SET
U1BDTP3INV = 0xBF8852DC
  .global U1BDTP3INV
U1CNFG1 = 0xBF8852E0
  .global U1CNFG1
U1CNFG1CLR = 0xBF8852E4
  .global U1CNFG1CLR
U1CNFG1SET = 0xBF8852E8
  .global U1CNFG1SET
U1CNFG1INV = 0xBF8852EC
  .global U1CNFG1INV
U1EP0 = 0xBF885300
  .global U1EP0
U1EP0CLR = 0xBF885304
  .global U1EP0CLR
U1EP0SET = 0xBF885308
  .global U1EP0SET
U1EP0INV = 0xBF88530C
  .global U1EP0INV
U1EP1 = 0xBF885310
  .global U1EP1
U1EP1CLR = 0xBF885314
  .global U1EP1CLR
U1EP1SET = 0xBF885318
  .global U1EP1SET
U1EP1INV = 0xBF88531C
  .global U1EP1INV
U1EP2 = 0xBF885320
  .global U1EP2
U1EP2CLR = 0xBF885324
  .global U1EP2CLR
U1EP2SET = 0xBF885328
  .global U1EP2SET
U1EP2INV = 0xBF88532C
  .global U1EP2INV
U1EP3 = 0xBF885330
  .global U1EP3
U1EP3CLR = 0xBF885334
  .global U1EP3CLR
U1EP3SET = 0xBF885338
  .global U1EP3SET
U1EP3INV = 0xBF88533C
  .global U1EP3INV
U1EP4 = 0xBF885340
  .global U1EP4
U1EP4CLR = 0xBF885344
  .global U1EP4CLR
U1EP4SET = 0xBF885348
  .global U1EP4SET
U1EP4INV = 0xBF88534C
  .global U1EP4INV
U1EP5 = 0xBF885350
  .global U1EP5
U1EP5CLR = 0xBF885354
  .global U1EP5CLR
U1EP5SET = 0xBF885358
  .global U1EP5SET
U1EP5INV = 0xBF88535C
  .global U1EP5INV
U1EP6 = 0xBF885360
  .global U1EP6
U1EP6CLR = 0xBF885364
  .global U1EP6CLR
U1EP6SET = 0xBF885368
  .global U1EP6SET
U1EP6INV = 0xBF88536C
  .global U1EP6INV
U1EP7 = 0xBF885370
  .global U1EP7
U1EP7CLR = 0xBF885374
  .global U1EP7CLR
U1EP7SET = 0xBF885378
  .global U1EP7SET
U1EP7INV = 0xBF88537C
  .global U1EP7INV
U1EP8 = 0xBF885380
  .global U1EP8
U1EP8CLR = 0xBF885384
  .global U1EP8CLR
U1EP8SET = 0xBF885388
  .global U1EP8SET
U1EP8INV = 0xBF88538C
  .global U1EP8INV
U1EP9 = 0xBF885390
  .global U1EP9
U1EP9CLR = 0xBF885394
  .global U1EP9CLR
U1EP9SET = 0xBF885398
  .global U1EP9SET
U1EP9INV = 0xBF88539C
  .global U1EP9INV
U1EP10 = 0xBF8853A0
  .global U1EP10
U1EP10CLR = 0xBF8853A4
  .global U1EP10CLR
U1EP10SET = 0xBF8853A8
  .global U1EP10SET
U1EP10INV = 0xBF8853AC
  .global U1EP10INV
U1EP11 = 0xBF8853B0
  .global U1EP11
U1EP11CLR = 0xBF8853B4
  .global U1EP11CLR
U1EP11SET = 0xBF8853B8
  .global U1EP11SET
U1EP11INV = 0xBF8853BC
  .global U1EP11INV
U1EP12 = 0xBF8853C0
  .global U1EP12
U1EP12CLR = 0xBF8853C4
  .global U1EP12CLR
U1EP12SET = 0xBF8853C8
  .global U1EP12SET
U1EP12INV = 0xBF8853CC
  .global U1EP12INV
U1EP13 = 0xBF8853D0
  .global U1EP13
U1EP13CLR = 0xBF8853D4
  .global U1EP13CLR
U1EP13SET = 0xBF8853D8
  .global U1EP13SET
U1EP13INV = 0xBF8853DC
  .global U1EP13INV
U1EP14 = 0xBF8853E0
  .global U1EP14
U1EP14CLR = 0xBF8853E4
  .global U1EP14CLR
U1EP14SET = 0xBF8853E8
  .global U1EP14SET
U1EP14INV = 0xBF8853EC
  .global U1EP14INV
U1EP15 = 0xBF8853F0
  .global U1EP15
U1EP15CLR = 0xBF8853F4
  .global U1EP15CLR
U1EP15SET = 0xBF8853F8
  .global U1EP15SET
U1EP15INV = 0xBF8853FC
  .global U1EP15INV
ANSELA = 0xBF886000
  .global ANSELA
ANSELACLR = 0xBF886004
  .global ANSELACLR
ANSELASET = 0xBF886008
  .global ANSELASET
ANSELAINV = 0xBF88600C
  .global ANSELAINV
TRISA = 0xBF886010
  .global TRISA
TRISACLR = 0xBF886014
  .global TRISACLR
TRISASET = 0xBF886018
  .global TRISASET
TRISAINV = 0xBF88601C
  .global TRISAINV
PORTA = 0xBF886020
  .global PORTA
PORTACLR = 0xBF886024
  .global PORTACLR
PORTASET = 0xBF886028
  .global PORTASET
PORTAINV = 0xBF88602C
  .global PORTAINV
LATA = 0xBF886030
  .global LATA
LATACLR = 0xBF886034
  .global LATACLR
LATASET = 0xBF886038
  .global LATASET
LATAINV = 0xBF88603C
  .global LATAINV
ODCA = 0xBF886040
  .global ODCA
ODCACLR = 0xBF886044
  .global ODCACLR
ODCASET = 0xBF886048
  .global ODCASET
ODCAINV = 0xBF88604C
  .global ODCAINV
CNPUA = 0xBF886050
  .global CNPUA
CNPUACLR = 0xBF886054
  .global CNPUACLR
CNPUASET = 0xBF886058
  .global CNPUASET
CNPUAINV = 0xBF88605C
  .global CNPUAINV
CNPDA = 0xBF886060
  .global CNPDA
CNPDACLR = 0xBF886064
  .global CNPDACLR
CNPDASET = 0xBF886068
  .global CNPDASET
CNPDAINV = 0xBF88606C
  .global CNPDAINV
CNCONA = 0xBF886070
  .global CNCONA
CNCONACLR = 0xBF886074
  .global CNCONACLR
CNCONASET = 0xBF886078
  .global CNCONASET
CNCONAINV = 0xBF88607C
  .global CNCONAINV
CNENA = 0xBF886080
  .global CNENA
CNENACLR = 0xBF886084
  .global CNENACLR
CNENASET = 0xBF886088
  .global CNENASET
CNENAINV = 0xBF88608C
  .global CNENAINV
CNSTATA = 0xBF886090
  .global CNSTATA
CNSTATACLR = 0xBF886094
  .global CNSTATACLR
CNSTATASET = 0xBF886098
  .global CNSTATASET
CNSTATAINV = 0xBF88609C
  .global CNSTATAINV
ANSELB = 0xBF886100
  .global ANSELB
ANSELBCLR = 0xBF886104
  .global ANSELBCLR
ANSELBSET = 0xBF886108
  .global ANSELBSET
ANSELBINV = 0xBF88610C
  .global ANSELBINV
TRISB = 0xBF886110
  .global TRISB
TRISBCLR = 0xBF886114
  .global TRISBCLR
TRISBSET = 0xBF886118
  .global TRISBSET
TRISBINV = 0xBF88611C
  .global TRISBINV
PORTB = 0xBF886120
  .global PORTB
PORTBCLR = 0xBF886124
  .global PORTBCLR
PORTBSET = 0xBF886128
  .global PORTBSET
PORTBINV = 0xBF88612C
  .global PORTBINV
LATB = 0xBF886130
  .global LATB
LATBCLR = 0xBF886134
  .global LATBCLR
LATBSET = 0xBF886138
  .global LATBSET
LATBINV = 0xBF88613C
  .global LATBINV
ODCB = 0xBF886140
  .global ODCB
ODCBCLR = 0xBF886144
  .global ODCBCLR
ODCBSET = 0xBF886148
  .global ODCBSET
ODCBINV = 0xBF88614C
  .global ODCBINV
CNPUB = 0xBF886150
  .global CNPUB
CNPUBCLR = 0xBF886154
  .global CNPUBCLR
CNPUBSET = 0xBF886158
  .global CNPUBSET
CNPUBINV = 0xBF88615C
  .global CNPUBINV
CNPDB = 0xBF886160
  .global CNPDB
CNPDBCLR = 0xBF886164
  .global CNPDBCLR
CNPDBSET = 0xBF886168
  .global CNPDBSET
CNPDBINV = 0xBF88616C
  .global CNPDBINV
CNCONB = 0xBF886170
  .global CNCONB
CNCONBCLR = 0xBF886174
  .global CNCONBCLR
CNCONBSET = 0xBF886178
  .global CNCONBSET
CNCONBINV = 0xBF88617C
  .global CNCONBINV
CNENB = 0xBF886180
  .global CNENB
CNENBCLR = 0xBF886184
  .global CNENBCLR
CNENBSET = 0xBF886188
  .global CNENBSET
CNENBINV = 0xBF88618C
  .global CNENBINV
CNSTATB = 0xBF886190
  .global CNSTATB
CNSTATBCLR = 0xBF886194
  .global CNSTATBCLR
CNSTATBSET = 0xBF886198
  .global CNSTATBSET
CNSTATBINV = 0xBF88619C
  .global CNSTATBINV
DEVCFG3 = 0xBFC00BF0
  .global DEVCFG3
DEVCFG2 = 0xBFC00BF4
  .global DEVCFG2
DEVCFG1 = 0xBFC00BF8
  .global DEVCFG1
DEVCFG0 = 0xBFC00BFC
  .global DEVCFG0


